import React  from "react";
import Monaco from "@monaco-editor/react";

const Editor = ({show, source}) => {

	const editorMount = (instance, monaco) => {
		// NOTE: I have no idea, why we have to re-add these ourselves, but this
		//       code works, so be it. --MikO
		instance.addCommand(monaco.KeyMod.CtrlCmd | monaco.KeyCode.KeyC, () => instance.trigger("source","editor.action.clipboardCopyAction"));
		instance.addCommand(monaco.KeyMod.CtrlCmd | monaco.KeyCode.KeyV, () => instance.trigger("source","editor.action.clipboardPasteAction"));
		instance.addCommand(monaco.KeyMod.CtrlCmd | monaco.KeyCode.KeyX, () => instance.trigger("source","editor.action.clipboardCutAction"));
		instance.addCommand(monaco.KeyMod.CtrlCmd | monaco.KeyCode.KeyS, () => window.api.saveFile(instance.getValue()));
	}

	if (!show)
		return <></>;

	return (
		<>
			<Monaco	
				defaultLanguage="markdown"
				height="100%"
				options={{
					minimap : {
						enabled : false
					}
				}}
				onMount={editorMount}
				keepCurrentModel={true}
				defaultValue={source}
				theme="vs-dark" />
		</>
	);
};

export default Editor;