import React, {forwardRef} from "react";

import SlideItem from "./SlideItem";

const Slide = forwardRef(({data, className, ...props}, ref) => {
	return (
		<article className={`slide${data?.title ? " title" : ""} ${className}`} {...props} ref={ref}>
			{data?.content.map((item, index) =>
				<SlideItem item={item} key={index} />
			)}
		</article>
	);
});

export default Slide;