import React, {Fragment} from "react";

const Cheatsheet = Object.freeze([
	["Start presentation", "F5"],
	["Stop presentation",  "ESC"],
	["Open file",          "⌘+O"],
	["Close file",         "⌘+W"],
	["Save file",          "⌘+S"],
	["Toggle editor",      "⌘+E"],
	["Next slide",         "→, Page up"],
	["Last slide",         "←, Page down"],
	["Black screen out",   "B"],
	["Go to first slide",  "g"],
	["Go to last slide",   "SHIFT+G"],
	["Show/Hide tips",     "TAB"]
]);

const Tips = ({show}) => {
	return (
		show ?
			<section className="tips">
				<section className="inner">
					<h1>Cheatsheet</h1>
					<article>
						{Cheatsheet.map(([description, key]) => (
							<Fragment key={key}>
								<label>{description}</label>
								<kbd>{key}</kbd>
							</Fragment>
						))}
					</article>
				</section>
			</section>
		: null
	);
};

export default Tips;