import React, {useContext} from "react";

import {Folder2Open, Cast, InfoCircle, XSquare, LayoutSplit} from "react-bootstrap-icons";

import SlideContext from "../shared/SlideContext";
import Mode         from "../models/Mode";

import {ReactComponent as Logo} from "../assets/images/logo_ation.svg";

const Toolbar = ({openFile, setShowTips, version, toggleEdit}) => {
	const {setMode, setSlide, slideCount} = useContext(SlideContext);

	const present = () => {
		setMode(Mode.PRESENT);
		setSlide(0);
		document.documentElement.requestFullscreen();
	};

	const toggleMaximize = () => {
		window.api.maximize();
	};

	return (
		<nav className="toolbar" onDoubleClick={toggleMaximize}>
			<button onClick={openFile} title="Open file [⌘+O]"><Folder2Open /></button>	
			<button onClick={present} title="Start presentation [F5]"><Cast /></button>	
			<Logo />
			<button onClick={() => window.api.closeFile()} title="Close file [⌘+W]" disabled={slideCount < 1}><XSquare /></button>
			<button onClick={() => setShowTips(true)} title="Show tips [TAB]"><InfoCircle /></button>	
			<button onClick={toggleEdit} title="Toggle editor [⌘+E]"><LayoutSplit /></button>	
			<small>v{version}</small>
		</nav>
	);
};

export default Toolbar;