import React, {forwardRef} from "react";

import {NavLink}       from "react-router-dom";
import {Gear, Palette} from "react-bootstrap-icons";

const Navbar = forwardRef((_, ref) => {
	return (
		<nav className="navbar" ref={ref}>
			<NavLink to="/settings" end>
				<Gear />
				<label>General</label>
			</NavLink>
			<NavLink to="/settings/style" end>
				<Palette />
				<label>Appearance</label>
			</NavLink>
		</nav>
	);
});

export default Navbar;