import React, {useRef, useState, useEffect} from "react";
import {Routes, Route, useLocation}         from "react-router-dom";

import Navbar     from "./Navbar";
import General    from "./General";
import Appearance from "./Appearance";

const Settings = () => {
	const navbar            = useRef();
	const content           = useRef()
	const location          = useLocation();
	const [fonts, setFonts] = useState([]);

	useEffect(() => {
		(async setFonts => setFonts(await window.api.fonts()))(setFonts);
	}, []);

	useEffect(() => {
		if (!navbar.current || !content.current)
			return;
		const newHeight = navbar.current.clientHeight + content.current.clientHeight;
		window.api.resize(newHeight + 10);
	}, [location, navbar, content]);

	return (
		<section className="settings">
			<Navbar ref={navbar} />
			<main ref={content}>
				<Routes>
					<Route index element={<General />} />
					<Route path="/style" element={<Appearance fonts={fonts} />} />
				</Routes>
			</main>
			<section className="titlebar"></section>
		</section>
	);
};

export default Settings;