import React, {useState, useEffect} from "react";

import SettingsContext from "../shared/SettingsContext";

const withSettings = Component => () => {
	const [settings, setSettings] = useState({
		font : "Iosevka"
	});

	useEffect(() => {
		(async setSettings => setSettings(await window.appSettings.all()))(setSettings);
		window.appSettings.onChange(settings => setSettings(settings));
	}, []);

	return (
		<SettingsContext.Provider value={{...settings}}>
			<Component />
		</SettingsContext.Provider>
	);
};

export default withSettings;