import React    from "react";
import ReactDOM from "react-dom/client";

import {HashRouter as Router, Routes, Route} from "react-router-dom";

import Ation        from "./components/Ation";
import Settings     from "./components/settings/Settings";
import withDrop     from "./higherOrderComponents/withDrop";
import withSettings from "./higherOrderComponents/withSettings";

import "./assets/css/ation.scss";

const App = withSettings(withDrop(Ation));

const root = ReactDOM.createRoot(document.getElementById("root"));
root.render(
	<React.StrictMode>
		<Router>
			<Routes>
				<Route index element={<App />} />
				<Route path="/settings/*" element={<Settings />} />
			</Routes>
		</Router>
	</React.StrictMode>
);